<?PHP 
/*
Diese Datei im root-Verzeichnis des Indianers speichern und einfach 
aktivieren mit folgender Zeile in der .htaccess - Datei

RewriteEngine On
RewriteCond %{REQUEST_FILENAME} !-f 
RewriteRule .*age-de\.xml$ age-de.php [L]

Bei Installationen, die bereits ueber die .htaccess die Dateinamen 
umbiegen, muss eventuell die age-de.xml noch als Ausnahme reingepackt
werden. Fuer Wordpress zum Beispiel muss die Zeile

RewriteCond %{REQUEST_FILENAME} -d 

erweitert werden auf

RewriteCond %{REQUEST_FILENAME} -d [OR]
RewriteCond %{REQUEST_FILENAME} .*age-de\.xml$

Standardmaessig wird bei aktiviertem GeoIP die Datei nur ausgeliefert,
wenn der Besucher aus Deutschland kommt, weil es den Rest der Welt eh
nicht interessiert, was die komischen Deutschen mit "ihrem" Internet
machen. Da GeoIP aber angeblich nicht 100prozentig sicher ist und 
deshalb vielleicht doch Aerger ins Haus steht, laesst sich diese 
Einschraenkung auch ausschalten. Einfach in der Zeile

$checkIP="1";

gehen loeschen oder die 1 durch irgendwas ersetzen.

Ob die Installation geklappt hat, laesst sich unter
https://www.altersklassifizierung.de/de/site-validator
direkt beim Softwarehersteller des Jugenschutzprogramms checken.

*/
$checkIP="1";
if((@geoip_country_code_by_name($_SERVER[REMOTE_ADDR])!='DE') && ($checkIP=='1')){
 header('HTTP/1.0 404 Not Found');
 print '<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
 <html><head>
 <title>404 Not Found</title>
 </head><body>
 <h1>Not Found</h1>
 <p>The requested URL /age-de.xml was not found on this server.</p>
 </body></html>';
 die();
 }
header("Last-Modified: " . gmdate("D, d M Y H:i:s",time()-86400) . " GMT"); 
header ("Content-Type:application/xml");
echo '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>'."\n"; ?>
<age-declaration>
	<ageblock-basic>
		<age-issuer><? echo strtolower($_SERVER[HTTP_HOST]) ?></age-issuer>
		<last-change><?php echo date('Y-m-d',time()-86400);?></last-change>
		<country>de</country>
		<label-version>1.0</label-version>
		<revisit-after>always</revisit-after>
	</ageblock-basic>
	<ageblock-labeltype>
		<xmlfile>true</xmlfile>
		<httpheader>false</httpheader>
		<htmlmeta>false</htmlmeta>
		<label-z>false</label-z>
		<default-age>18</default-age>
		<alternate>https://www.eff.org/pages/blue-ribbon-campaign</alternate>
	</ageblock-labeltype>
	<ageblock-labeltype-definition>
		<labeltype-xmlfile>
			<label class="default">
				<min-age>18</min-age>
				<default-age>18</default-age>
			</label>
			<label class="adultcontent">
				<age>18</age>
				<min-age>18</min-age>
				<default-age>18</default-age>
				<scope><? echo strtolower($_SERVER[HTTP_HOST]) ?></scope>
			</label>
		</labeltype-xmlfile>
	</ageblock-labeltype-definition>
</age-declaration>
